# ReturnToSynchronizationContext.Awaiter Struct | UniTask

Show / Hide Table of Contents

# ReturnToSynchronizationContext.Awaiter Struct

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public struct Awaiter : ICriticalNotifyCompletion, INotifyCompletion

##### Implements

System.Runtime.CompilerServices.ICriticalNotifyCompletion
System.Runtime.CompilerServices.INotifyCompletion

### Members

#### Constructors

Name | Description
--- | ---
Awaiter(SynchronizationContext, Boolean, CancellationToken) |

#### Properties

Name | Description
--- | ---
IsCompleted |

#### Methods

Name | Description
--- | ---
GetAwaiter() |
GetResult() |
OnCompleted(Action) |
UnsafeOnCompleted(Action) |

### Constructors

#### Awaiter(SynchronizationContext, Boolean, CancellationToken)

    public Awaiter(SynchronizationContext synchronizationContext, bool dontPostWhenSameContext, CancellationToken cancellationToken)

##### Parameters

`synchronizationContext` System.Threading.SynchronizationContext
`dontPostWhenSameContext` System.Boolean
`cancellationToken` System.Threading.CancellationToken

### Properties

#### IsCompleted

    public bool IsCompleted { get; }

##### Property Value

System.Boolean

### Methods

#### GetAwaiter()

    public ReturnToSynchronizationContext.Awaiter GetAwaiter()

##### Returns

ReturnToSynchronizationContext.Awaiter

#### GetResult()

    public void GetResult()

#### OnCompleted(Action)

    public void OnCompleted(Action continuation)

##### Parameters

`continuation` System.Action

#### UnsafeOnCompleted(Action)

    public void UnsafeOnCompleted(Action continuation)

##### Parameters

`continuation` System.Action

### Implements

System.Runtime.CompilerServices.ICriticalNotifyCompletion
System.Runtime.CompilerServices.INotifyCompletion